/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList } from '@angular/core';
import { CellOptions } from '../ooxml/cell-options.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColumnBase {
    parent?: ColumnBase;
    /**
     * The title of the column.
     */
    title: string;
    /**
     * The width of the column in pixels.
     */
    width: number;
    /**
     * Toggles the locked (frozen) state of the column ([see example]({% slug columns_excel-export %}#toc-locked-state)).
     *
     * @default false
     */
    locked: boolean;
    /**
     * Sets the visibility of the column ([see example]({% slug columns_excel-export %}#toc-hidden-state)).
     *
     * @default false
     */
    hidden: boolean;
    /**
     * The options of the column header cell.
     */
    headerCellOptions: CellOptions;
    /**
     * @hidden
     */
    children: QueryList<ColumnBase>;
    /**
     * @hidden
     */
    get level(): number;
    constructor(parent?: ColumnBase);
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnBase, "ng-component", never, { "title": { "alias": "title"; "required": false; }; "width": { "alias": "width"; "required": false; }; "locked": { "alias": "locked"; "required": false; }; "hidden": { "alias": "hidden"; "required": false; }; "headerCellOptions": { "alias": "headerCellOptions"; "required": false; }; }, {}, ["children"], never, false, never>;
}
