/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./excel-export.component";
import * as i2 from "./columns/column.component";
import * as i3 from "./columns/column-group.component";
import * as i4 from "./columns/footer-template.directive";
import * as i5 from "./columns/group-footer-template.directive";
import * as i6 from "./columns/group-header-column-template.directive";
import * as i7 from "./columns/group-header-template.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Excel Export component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the ExcelExportModule module
 * import { ExcelExportModule } from '@progress/kendo-angular-excel-export';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, ExcelExportModule], // import ExcelExportModule module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class ExcelExportModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExcelExportModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ExcelExportModule, never, [typeof i1.ExcelExportComponent, typeof i2.ColumnComponent, typeof i3.ColumnGroupComponent, typeof i4.FooterTemplateDirective, typeof i5.GroupFooterTemplateDirective, typeof i6.GroupHeaderColumnTemplateDirective, typeof i7.GroupHeaderTemplateDirective], [typeof i1.ExcelExportComponent, typeof i2.ColumnComponent, typeof i3.ColumnGroupComponent, typeof i4.FooterTemplateDirective, typeof i5.GroupFooterTemplateDirective, typeof i6.GroupHeaderColumnTemplateDirective, typeof i7.GroupHeaderTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ExcelExportModule>;
}
